This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 797076 - BUG: unable to handle kernel NULL pointer dereference at 0000000000000008 __list_add
BUG: unable to handle kernel NULL pointer dereference at 0000000000000008 __l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:06100da463cea90ae4550b89c9f...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-24 03:14 EST by thomas.swan
Modified: 2012-05-07 16:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 16:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description thomas.swan 2012-02-24 03:14:58 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=/dev/mapper/vg_dustbunny-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us rd.lvm.lv=vg_dustbunny/lv_root quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks.uuid=luks-dd0c0c87-33cf-49ee-a82c-9630c2ea582a rd.lvm.lv=vg_dustbunny/lv_swap LANG=en_US.UTF-8
comment:        Unknown
kernel:         3.2.7-1.fc16.x86_64
reason:         BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
time:           Fri 24 Feb 2012 01:18:00 AM CST

backtrace:
:BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
:IP: [<ffffffff812ca047>] __list_add+0x17/0xa0
:PGD 131512067 PUD 12ffc4067 PMD 0 
:Oops: 0000 [#1] SMP 
:CPU 1 
:Modules linked in: tcp_lp fuse ebtable_nat ebtables ppdev parport_pc lp parport ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd rfcomm bnep coretemp be2iscsi nf_conntrack_ipv4 iscsi_boot_sysfs nf_defrag_ipv4 bnx2i cnic uio ip6t_REJECT cxgb4i cxgb4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack cxgb3i libcxgbi ip6table_filter cxgb3 mdio ib_iser ip6_tables rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi btrfs zlib_deflate libcrc32c arc4 iwl4965 iwlegacy mac80211 btusb bluetooth snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm dell_wmi sparse_keymap uvcvideo videodev media v4l2_compat_ioctl32 snd_timer snd soundcore snd_page_alloc r8169 mii cfg80211 iTCO_wdt i2c_i801 iTCO_vendor_support dell_laptop rfkill dcdbas microcode joydev vhost_net macvtap macvlan tun virtio_net kvm_intel kvm binfmt_misc sunrpc uinput xts gf128mul dm_crypt sdhc
:i_pci sdhci mmc_core firewire_ohci firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 945, comm: yumBackend.py Not tainted 3.2.7-1.fc16.x86_64 #1 Dell Inc. Vostro1510/XXXXXX
:RIP: 0010:[<ffffffff812ca047>]  [<ffffffff812ca047>] __list_add+0x17/0xa0
:RSP: 0018:ffff880115821b98  EFLAGS: 00010282
:RAX: 0000000000000000 RBX: ffff8800acc67ef0 RCX: ffff88013ffcce80
:RDX: 0000000000000000 RSI: ffff880130070c08 RDI: ffff8800acc67ef0
:RBP: ffff880115821bb8 R08: 6000000000000000 R09: 3018000000000000
:R10: feb1f94069b6e603 R11: ffffffff81620680 R12: ffff880130070b00
:R13: ffff8800acc67e9c R14: ffff8800956983c0 R15: 0000000000000000
:FS:  00007fa15427d700(0000) GS:ffff88013fd00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 0000000000000008 CR3: 00000001159a7000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process yumBackend.py (pid: 945, threadinfo ffff880115820000, task ffff88011e835c80)
:Stack:
: ffff880130070b00 ffff8800acc67e40 ffff880130070b00 ffff8800acc67e9c
: ffff880115821be8 ffffffff8118e478 ffff880115821c38 ffff880130070b00
: ffff8800acc67e40 0000000000049cdb ffff880115821c08 ffffffff8118e6b7
:Call Trace:
: [<ffffffff8118e478>] __d_instantiate+0x58/0xe0
: [<ffffffff8118e6b7>] d_instantiate+0x47/0x80
: [<ffffffff8118ef4d>] d_splice_alias+0x4d/0xf0
: [<ffffffff81201ec6>] ext4_lookup+0xb6/0x120
: [<ffffffff81183d65>] d_alloc_and_lookup+0x45/0x90
: [<ffffffff81190695>] ? d_lookup+0x35/0x60
: [<ffffffff81186331>] do_lookup+0x2b1/0x3a0
: [<ffffffff81164dcc>] ? kmem_cache_alloc_trace+0x10c/0x140
: [<ffffffff81187e30>] do_last+0xe0/0x8f0
: [<ffffffff81188752>] path_openat+0xd2/0x3c0
: [<ffffffff81188b62>] do_filp_open+0x42/0xa0
: [<ffffffff8119489f>] ? alloc_fd+0x4f/0x150
: [<ffffffff811783f7>] do_sys_open+0xf7/0x1d0
: [<ffffffff810cdd62>] ? audit_syscall_entry+0x242/0x360
: [<ffffffff811784f0>] sys_open+0x20/0x30
: [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b
:Code: 48 83 c4 08 5b 5d c3 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec 20 48 89 5d e8 4c 89 65 f0 48 89 fb 4c 89 6d f8 <4c> 8b 42 08 49 89 f5 49 89 d4 49 39 f0 75 27 4d 8b 45 00 4d 39 
:RIP  [<ffffffff812ca047>] __list_add+0x17/0xa0
: RSP <ffff880115821b98>
:CR2: 0000000000000008
Comment 1 Josh Boyer 2012-02-24 08:38:32 EST
Was this on resume from suspend/hibernate?
Comment 2 thomas.swan 2012-02-25 19:59:31 EST
About 30 minutes after resuming from a hibernate.
Comment 3 Dave Jones 2012-03-22 13:04:50 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:08:00 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:18:52 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Josh Boyer 2012-03-28 13:59:57 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.